package application;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.InputStreamReader;

import tools.CommandLine;

import asct.ui.ASCTController;
import asct.ui.ExecutionRequestDescriptorComposite;

public class Application {

	private String name;
	private CommandLine commandLine;

	public Application(String name) {
		this.name = name;
	}

	public Application(CommandLine commandLine, String name) {
		this(name);
		this.commandLine = commandLine;
	}

	public String getName() {
		return name;
	}

	public void build() {
		commandLine.build(name);
	}

	public ExecutionRequestDescriptorComposite getDescriptor() throws FileNotFoundException, IOException {
		BufferedReader descFile = commandLine.openDescriptor(name);
		return ASCTController.getInstance().readExecutionRequestDescriptorFile(descFile);
	}

}