package tools;

import java.io.BufferedReader;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.InputStreamReader;

public class CommandLine {

	private static final String ABSOLUTE_TEST_PATH = "/tmp/integrade_test/";
	private String lastBuild;

	public void build(String name) {
		lastBuild = name;
		String testdir = "export TEST_DIR="+ABSOLUTE_TEST_PATH;
		String command = "/bin/bash -c cd apps; "+testdir+" make "+name;
		try {
			System.out.println(command);
			Runtime.getRuntime().exec(command).waitFor();
		} catch (Exception e) {
			System.out.println("Can't run");
			e.printStackTrace();
		}

	}

	public BufferedReader openDescriptor(String name) throws FileNotFoundException {
		String configurationAbsolutePath = ABSOLUTE_TEST_PATH + name + ".conf";
		return new BufferedReader(new InputStreamReader(new FileInputStream(
				configurationAbsolutePath)));
	}

	public String lastBuild() {
		return lastBuild;
	}

}
